### Function

# GLib Array unref

since: 2.22

#### Declaration [src]

    void
    g_array_unref (
      GArray* array
    )

#### Description [src]

Atomically decrements the reference count of `array` by one. If the reference count drops to 0, the effect is the same as calling `g_array_free()` with `free_segment` set to true. This function is thread-safe and may be called from any thread.

Available since: 2.22

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  An array.

  The called function takes ownership of the data, and is responsible for freeing it.